html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.validation-summary-valid span {
    display: none;
}

/*table {
    border-collapse: separate;*/ /*the default option*/
    /*border-spacing: 0;*/ /*remove border gaps*/
/*}*/

.input-validation-error {
    border: 1px solid #d9534f !important;
}

.clear-btn {
    box-shadow: none;
    background-color: lightgray;
    color: black;
}

    .clear-btn:hover {
        background-color: lightgray;
        color: black;
    }

    .clear-btn:focus {
        background-color: lightgray;
        color: black;
        
    }

    .clear-btn:disabled {
        background-color: #C8C8C8;
    }


    .chosen-select {
    width: 100%;
    
}

.chosen-select-deselect {
    width: 100%;
}

.chosen-container {
    display: inline-block;
    font-size: 1rem;
    position: relative;
    vertical-align: middle;
    
}

    .chosen-container .chosen-drop {
        background: #ffffff;
        border: 1px solid #cccccc;
        border-bottom-right-radius: 4px;
        border-bottom-left-radius: 4px;
        -webkit-box-shadow: 0 8px 8px rgba(0, 0, 0, .25);
        box-shadow: 0 8px 8px rgba(0, 0, 0, .25);
        margin-top: -1px;
        position: absolute;
        top: 100%;
        left: -9000px;
        z-index: 1060;
    }

    .chosen-container.chosen-with-drop .chosen-drop {
        left: 0;
        right: 0;
    }

    .chosen-container .chosen-results {
        color: #555555;
        margin: 0 4px 4px 0;
        max-height: 240px;
        padding: 0 0 0 4px;
        position: relative;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
    }

        .chosen-container .chosen-results li {
            display: none;
            line-height: 1.42857143;
            list-style: none;
            margin: 0;
            padding: 5px 6px;
        }

            .chosen-container .chosen-results li em {
                background: #feffde;
                font-style: normal;
            }

            .chosen-container .chosen-results li.group-result {
                display: list-item;
                cursor: default;
                color: #999;
                font-weight: bold;
            }

            .chosen-container .chosen-results li.group-option {
                padding-left: 15px;
            }

            .chosen-container .chosen-results li.active-result {
                cursor: pointer;
                display: list-item;
            }

            .chosen-container .chosen-results li.highlighted {
                /*background-color: #428bca;*/
                /*background-color: #839319;*/ 
                background-image: none;
                color: white;
            }

                .chosen-container .chosen-results li.highlighted em {
                    background: transparent;
                }

            .chosen-container .chosen-results li.disabled-result {
                display: list-item;
                color: #777777;
            }

        .chosen-container .chosen-results .no-results {
            background: #eeeeee;
            display: list-item;
        }

    .chosen-container .chosen-results-scroll {
        background: white;
        margin: 0 4px;
        position: absolute;
        text-align: center;
        width: 321px;
        z-index: 1;
    }

        .chosen-container .chosen-results-scroll span {
            display: inline-block;
            text-indent: -5000px;
            width: 9px;
        }

    .chosen-container .chosen-results-scroll-down {
        bottom: 0;
    }



.chosen-container-single .chosen-single {
    background-color: #ffffff;
    /*-webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;*/
    /*border: 1px solid #839319;*/
    border-radius: 0.25rem;
    /*-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);*/
    color: #555555;
    display: block;
    height: 2.35rem;
    overflow: hidden;
    line-height: 2.35rem;
    padding: 0 0 0 8px;
    position: relative;
    text-decoration: none;
    white-space: nowrap;
}

    .chosen-container-single .chosen-single span {
        display: block;
        margin-right: 26px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .chosen-container-single .chosen-single abbr {
        
        display: block;
        font-size: 1px;
        height: 10px;
        position: absolute;
        right: 26px;
        top: 12px;
        width: 12px;
    }

        .chosen-container-single .chosen-single abbr:hover {
            background-position: right -11px;
        }

    .chosen-container-single .chosen-single.chosen-disabled .chosen-single abbr:hover {
        background-position: right 2px;
    }

    .chosen-container-single .chosen-single div {
        display: block;
        height: 100%;
        position: absolute;
        top: 0;
        right: 0;
        width: 18px;
    }

        .chosen-container-single .chosen-single div b {
            display: block;
            height: 100%;
            width: 100%;
        }

.chosen-container-single .chosen-default {
    color: #777777;
}

.chosen-container-single .chosen-search {
    margin: 0;
    padding: 3px 4px;
    position: relative;
    white-space: nowrap;
    z-index: 1000;
}

    .chosen-container-single .chosen-search input[type="text"] {
        background: #ffffff;
        border: 1px solid #0d6efd;
        border-radius: 0.25rem;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        margin: 1px 0;
        padding: 4px 20px 4px 4px;
        width: 100%;
    }

.chosen-container-single .chosen-drop {
    margin-top: -1px;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
}

.chosen-container-single-nosearch .chosen-search input {
    position: absolute;
    left: -9000px;
}

.chosen-container-multi .chosen-choices {
    display: block;
    width: 100%;
    /*height: calc(1.5em + 0.75rem + 2px);*/
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    /*line-height: 1.5;*/
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    /*border: 1px solid #839319;*/
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .chosen-container-multi .chosen-choices li {
        float: left;
        list-style: none;
    }

    .chosen-container-multi .chosen-choices .search-field {
        margin: 0;
        padding: 0;
        white-space: nowrap;
    }

        .chosen-container-multi .chosen-choices .search-field input[type="text"] {
            background: transparent !important;
            border: 0 !important;
            -webkit-box-shadow: none;
            box-shadow: none;
            color: #555555;
            height: 32px;
            margin: 0;
            padding: 4px;
            outline: 0;
        }

        .chosen-container-multi .chosen-choices .search-field .default {
            color: #999;
        }

    .chosen-container-multi .chosen-choices .search-choice {
        -webkit-background-clip: padding-box;
        -moz-background-clip: padding;
        background-clip: padding-box;
        border: 1px solid #cccccc;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
        color: #333333;
        cursor: default;
        line-height: 13px;
        margin: 6px 0 3px 5px;
        padding: 3px 20px 3px 5px;
        position: relative;
    }

        .chosen-container-multi .chosen-choices .search-choice .search-choice-close {
            
            display: block;
            font-size: 1px;
            height: 10px;
            position: absolute;
            right: 4px;
            top: 5px;
            width: 12px;
            cursor: pointer;
        }

            .chosen-container-multi .chosen-choices .search-choice .search-choice-close:hover {
                background-position: right -11px;
            }

    

        .chosen-container-multi .chosen-choices .search-choice-focus .search-choice-close {
            background-position: right -11px;
        }

.chosen-container-multi .chosen-results {
    margin: 0 0 0 0;
    padding: 0;
}

.chosen-container-multi .chosen-drop .result-selected {
    display: none;
}

.chosen-container-active .chosen-single {
    border: 1px solid #0d6efd;
    -webkit-box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.75) !important;
    box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.75) !important;
    -webkit-transition: border linear .2s, box-shadow linear .2s;
    -o-transition: border linear .2s, box-shadow linear .2s;
    transition: border linear .2s, box-shadow linear .2s;
}

.chosen-container-active.chosen-with-drop .chosen-single {
    background-color: #ffffff;
    border: 1px solid #0d6efd;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    -webkit-box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.75) !important;
    box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.75) !important;
    -webkit-transition: border linear .2s, box-shadow linear .2s;
    -o-transition: border linear .2s, box-shadow linear .2s;
    transition: border linear .2s, box-shadow linear .2s;
}

    .chosen-container-active.chosen-with-drop .chosen-single div {
        background: transparent;
        border-left: none;
    }

        .chosen-container-active.chosen-with-drop .chosen-single div b {
            background-position: -18px 7px;
        }

.chosen-container-active .chosen-choices {
    border: 1px solid #0d6efd;
    /*border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;*/
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .075) inset, 0 0 8px rgba(82, 168, 236, .6);
    box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, 0.5) !important;
    -webkit-transition: border linear .2s, box-shadow linear .2s;
    -o-transition: border linear .2s, box-shadow linear .2s;
    transition: border linear .2s, box-shadow linear .2s;
}

    .chosen-container-active .chosen-choices .search-field input[type="text"] {
        color: #111 !important;
    }



.chosen-disabled {
    cursor: default;
    opacity: 0.5 !important;
}

    .chosen-disabled .chosen-single {
        cursor: default;
    }

    .chosen-disabled .chosen-choices .search-choice .search-choice-close {
        cursor: default;
    }

.chosen-rtl {
    text-align: right;
}

    .chosen-rtl .chosen-single {
        padding: 0 8px 0 0;
        overflow: visible;
    }

        .chosen-rtl .chosen-single span {
            margin-left: 26px;
            margin-right: 0;
            direction: rtl;
        }

        .chosen-rtl .chosen-single div {
            left: 7px;
            right: auto;
        }

        .chosen-rtl .chosen-single abbr {
            left: 26px;
            right: auto;
        }

    .chosen-rtl .chosen-choices .search-field input[type="text"] {
        direction: rtl;
    }

    .chosen-rtl .chosen-choices li {
        float: right;
    }

    .chosen-rtl .chosen-choices .search-choice {
        margin: 6px 5px 3px 0;
        padding: 3px 5px 3px 19px;
    }

        .chosen-rtl .chosen-choices .search-choice .search-choice-close {
            background-position: right top;
            left: 4px;
            right: auto;
        }

    .chosen-rtl.chosen-container-single .chosen-results {
        margin: 0 0 4px 4px;
        padding: 0 4px 0 0;
    }

    .chosen-rtl .chosen-results .group-option {
        padding-left: 0;
        padding-right: 15px;
    }

    .chosen-rtl.chosen-container-active.chosen-with-drop .chosen-single div {
        border-right: none;
    }

    .chosen-rtl .chosen-search input[type="text"] {
        background: #ffffff;
        direction: rtl;
        padding: 4px 5px 4px 20px;
    }